Execute Bulk
Deletes multiple users and/or groups in a single request. Only DELETE method is supported. Max 20 operations per request. All operations are processed regardless of individual failures. RFC 7644: https://tools.ietf.org/html/rfc7644#section-3.7
The VMware Identity Services tenant ID
my-tenant
Show optional properties
{
"schemas": [
{}
],
"Operations": [
{
"method": "DELETE",
"path": "/Users/2819c223-7f76-453a-919d-413861904646"
}
]
}
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:BulkRequest"
],
"Operations": [
{
"method": "DELETE",
"path": "/Users/2819c223-7f76-453a-919d-413861904646"
}
]
}
SCIM schema URIs
List of bulk operations (max 20). Each must be a DELETE.
Bulk operation completed. Per-operation status in body.
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:BulkResponse"
],
"Operations": [
{
"method": "DELETE",
"location": "https://host/usergroup/t/tenant1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"status": "204",
"response": {
"schemas": [
"string"
],
"scimType": "mutability",
"detail": "User not found: 2819c223-7f76-453a-919d-413861904646",
"status": "404"
}
}
]
}
Invalid bulk request (bad schema, unsupported method, invalid path).
Too many operations (max 20).
Unexpected error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/scim+json' -d '{"Operations":["object"],"schemas":["string"]}' https://{api_host}/usergroup/t/{tenant}/scim/v2/Bulk